## pyzabbix 1.3.1

=== Makefile ===
all: lint test

.DEFAULT_GOAL: install

SHELL = bash
CPU_CORES = $(shell N=$$(nproc); echo $$(( $$N > 4 ? 4 : $$N )))

VENV = .venv
$(VENV):
	python3 -m venv $(VENV)
	$(MAKE) install

install: $(VENV)
	$(VENV)/bin/pip install --upgrade pip setuptools wheel build
	$(VENV)/bin/pip install --editable .[dev]

format: $(VENV)
	$(VENV)/bin/black .
	$(VENV)/bin/isort .

lint: $(VENV)
	$(VENV)/bin/black . --check
	$(VENV)/bin/isort . --check
	$(VENV)/bin/pylint --jobs=$(CPU_CORES) --output-format=colorized pyzabbix tests
	$(VENV)/bin/mypy pyzabbix tests


PYTEST_CMD = $(VENV)/bin/pytest -v \
		--numprocesses=$(CPU_CORES) \
		--color=yes

test: $(VENV)
	$(PYTEST_CMD) \
		--cov-config=./pyproject.toml \
		--cov-report=term \
		--cov-report=xml:./coverage.xml \
		--cov=pyzabbix \
		tests

.PHONY: e2e
e2e: $(VENV)
	$(PYTEST_CMD) e2e

build: $(VENV)
	$(VENV)/bin/python -m build .

clean:
	rm -Rf $(VENV) dist

## pyzabbix 0.7.4

=== debian/changelog ===
pyzabbix (0.7.4-1) unstable; urgency=medium

  * Initial release (Closes: #892387).

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 12 Mar 2018 16:35:52 +0100

=== debian/control ===
Source: pyzabbix
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python3-httpretty,
 python3-requests,
Standards-Version: 4.1.3
Homepage: https://github.com/lukecyca/pyzabbix.git
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pyzabbix.git
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pyzabbix

Package: python3-pyzabbix
Section: python
Architecture: all
Depends:
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: Zabbix API Python interface.
 Zabbix API allows you to programmatically retrieve
 and modify the configuration of Zabbix and provides
 access to historical data. It is widely used to
 create new applications to work with zabbix, integrate
 Zabbix with third party software, automate routine tasks.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/openstack-pkg-tools/pkgos.make
UPSTREAM_GIT = https://github.com/lukecyca/pyzabbix.git

export PYBUILD_NAME=pyzabbix
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_ARGS_python3=tests

export no_proxy=example.com


%:
	dh $@ --buildsystem=pybuild --with python3

## pyzabbix 0.8.2

=== debian/changelog ===
pyzabbix (0.8.2-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 15 Feb 2021 15:57:09 -0500

pyzabbix (0.8.2-1) unstable; urgency=medium

  [ Michal Arbet ]
  * Added comment to d/copyright

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/changelog: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
    - Fixes FTBFS with Python 3.9 (Closes: #973201).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Nov 2020 23:34:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: pyzabbix
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  python3-all,
  python3-pbr (>= 2.0.0),

## pyzabbix 1.3.1

=== debian/changelog ===
pyzabbix (1.3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1085875).
  * Review (build-)depends.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Nov 2024 08:20:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pyzabbix
 Section: python
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -14,7 +13,13 @@
  python3-setuptools,
 Build-Depends-Indep:
  python3-httpretty,
+ python3-packaging,
+ python3-pytest,
+ python3-pytest-cov,
+ python3-pytest-xdist,
  python3-requests,
+ python3-requests-mock,
+ python3-types-requests,
 Standards-Version: 4.1.3
 Homepage: https://github.com/lukecyca/pyzabbix.git
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pyzabbix.git
@@ -24,6 +29,7 @@
 Section: python
 Architecture: all
 Depends:
+ python3-packaging,
  python3-requests,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=pyzabbix
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}/
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
-export PYBUILD_TEST_ARGS_python3=tests
+export PYBUILD_TEST_ARGS_python3= -v tests
 
 export no_proxy=example.com

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/lukecyca/pyzabbix/tags .*/(\d[\d\.]+)\.tar\.gz
